<div class="collector-details-data-groups">
    <div class="collector-details-data-groups-header">
        <h2>Data Points</h2>
        <button class="button-3">
            <a href="{{ url_for('collectors.add_datapoint', collector_name=collector_name, group_label=group_label)}}">Add Datapoint</a>
        </button>
    </div>
    <table class="bordered-table">
        <tr>
            {% for data_point_key, data_key_data in data_points_config.items() %}
                <th>{{ data_key_data.label }}</th>
            {% endfor %}
        </tr>
        {% for data_point in data_group.data_points %}
            <tr>
                {% for data_point_key, data_key_data in data_points_config.items()%}
                    {% if data_point_key=="variable_name" %}
                        <td>
                            <a href="{{ url_for('collectors.details_datapoint', collector_name=collector_name, group_label=group_label, variable_name=data_point.variable_name) }}">
                                {{data_point[data_point_key]}}
                            </a>
                        </td>
                    {% elif data_point_key != "variable_name" %}
                        {% if data_point[data_point_key] is not none %}
                            <td>{{data_point[data_point_key]}}</td>
                        {% else %}
                            <td>-</td>
                        {% endif %}
                    {% endif %}
                {% endfor %}
            </tr>
        {% endfor %}
    </table>
</div>